You can customize the properties of autoShapes using the Shape API:
text: Gets or sets the text of the shape.
window.onload = function () {
var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"));
initSpread(spread);
initEvent(spread);
};
var horizontalAlign = {
left: 0,
center: 1,
right: 2
};
var verticalAlign = {
top: 0,
center: 1,
bottom: 2
};
var resizeToFitTextOptions = {
false: 0,
true: 1
}
var activeShape;
function fillShapeTypeList(type, dom) {
var names = [];
for (var name in type) {
if(name === "none" || (parseInt(name, 10)) == name) {
continue;
}
names.push({name: name, value: type[name]});
}
names.sort(function (a, b) {
return a.name > b.name ? 1 : -1
});
var html = "";
names.forEach(function (item) {
html += '<option value="' + item.value + '">' + item.name + '</option>';
});
dom.innerHTML= html;
}
function getActiveConnectorShape(sheet) {
return sheet.shapes.all().filter(function(sp){
return sp.isSelected() && sp instanceof GC.Spread.Sheets.Shapes.ConnectorShape;
});
}
function initSpread(spread) {
setShapePropVisibility("none");
fillShapeTypeList(horizontalAlign, _getElementById("txtHAlign"));
fillShapeTypeList(verticalAlign, _getElementById("txtVAlign"));
fillShapeTypeList(resizeToFitTextOptions, _getElementById("resizeToFitText"));
_getElementById("txtText").value = "abcdefgHIJKLMN\n" + "12356789\n" + "SpreadJSSpreadJS";
spread.getActiveSheet().shapes.add("rectangle", GC.Spread.Sheets.Shapes.AutoShapeType.rectangle, 40, 20, 150, 150);
spread.getActiveSheet().shapes.add("rightTriangle", GC.Spread.Sheets.Shapes.AutoShapeType.rightTriangle, 40, 230, 150, 150);
spread.getActiveSheet().shapes.add("hexagon", GC.Spread.Sheets.Shapes.AutoShapeType.hexagon, 250, 20, 150, 150);
spread.getActiveSheet().shapes.add("oval", GC.Spread.Sheets.Shapes.AutoShapeType.oval, 250, 230, 150, 150);
}
function setShapePropVisibility(display) {
var shapeTxtProp = _getElementById("shapeTxtProp");
shapeTxtProp.style.display = display;
}
function initEvent(spread) {
var spreadNS = GC.Spread.Sheets;
var sheet = spread.getActiveSheet();
sheet.bind(spreadNS.Events.ShapeSelectionChanged, function () {
var selectedShape = sheet.shapes.all().filter(function(sp){
return sp.isSelected();
});
var isShapeSelected = false, isConnectorSelected = false;
if (selectedShape.length > 0) {
selectedShape.forEach(function (shape) {
if (!isShapeSelected && shape instanceof spreadNS.Shapes.Shape) {
isShapeSelected = true;
} else if (!isConnectorSelected && shape instanceof spreadNS.Shapes.ConnectorShape) {
isConnectorSelected = true;
}
});
if (isShapeSelected) {
setShapePropVisibility("block");
} else {
setShapePropVisibility("none");
}
} else {
setShapePropVisibility("none");
}
});
_getElementById("textActionBtn").addEventListener('click', function() {
_handleShapeStyleSetting(spread, 'text', _getElementById("txtText"));
});
_getElementById("colorActionBtn").addEventListener('click', function() {
_handleShapeStyleSetting(spread, 'color', _getElementById("txtTextColor"));
});
_getElementById("transparencyTxtActionBtn").addEventListener('click', function() {
_handleShapeStyleSetting(spread, 'transparencyTxt', _getElementById("txtTextTransparency"));
});
_getElementById("fontActionBtn").addEventListener('click', function() {
_handleShapeStyleSetting(spread, 'font', _getElementById("txtFont"));
});
_getElementById("hAlignActionBtn").addEventListener('click', function() {
_handleShapeStyleSetting(spread, 'hAlign', _getElementById("txtHAlign"));
});
_getElementById("vAlignActionBtn").addEventListener('click', function() {
_handleShapeStyleSetting(spread, 'vAlign', _getElementById("txtVAlign"));
});
_getElementById("resizeToFitTextBtn").addEventListener('click', function() {
_handleShapeStyleSetting(spread, 'resizeToFitText', _getElementById("resizeToFitText"));
});
}
function _handleShapeStyleSetting(spread, action, valueDom) {
var sheet = spread.getActiveSheet();
activeShape = sheet.shapes.all().filter(function(sp){
return sp.isSelected();
});
if (activeShape.length > 0) {
activeShape.forEach(function (shape) {
if (shape instanceof GC.Spread.Sheets.Shapes.Shape) {
_setShapeStyle(shape, action, valueDom.value);
}
});
sheet.repaint();
}
}
function _setShapeStyle(shape, action, value) {
if (action === 'text') {
shape.text(value);
} else {
var shapeStyle = shape.style();
if (action ==='color') {
shapeStyle.textEffect.color = value;
} else if (action === 'transparencyTxt') {
shapeStyle.textEffect.transparency = value;
} else if (action === 'font') {
shapeStyle.textEffect.font = value;
} else if (action === 'hAlign') {
shapeStyle.textFrame.hAlign = parseInt(value);
} else if (action === 'vAlign') {
shapeStyle.textFrame.vAlign = parseInt(value);
} else if (action === 'resizeToFitText') {
shapeStyle.textFrame.resizeToFitText = value === '1';
}
shape.style(shapeStyle);
}
}
function _getElementById(id){
return document.getElementById(id);
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets-shapes/dist/gc.spread.sheets.shapes.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>
<div class="sample-tutorial">
<div id="ss" class="sample-spreadsheets"></div>
<div class="options-container">
<div class="option-row">
Try selecting a shape and change the text properties to see the outcome:
</div>
<div id="divideLine" class="divide-line"></div>
<div id="shapeTxtProp" class="option-row">
<label>Text: </label>
<textarea id='txtText' type="text" placeholder="Shape text" rows="3"></textarea>
<input type="button" id='textActionBtn' value="Set"/>
<label>Text Color: </label>
<input id='txtTextColor' type="color" value="#FFFF00"/>
<input type="button" id='colorActionBtn' value="Set"/>
<label>Text Transparency: </label>
<input id='txtTextTransparency' type="text" value="0.5"/>
<input type="button" id='transparencyTxtActionBtn' value="Set"/>
<label>Text Font: </label>
<input id='txtFont' type="text" value="bold 15px Georgia"/>
<input type="button" id='fontActionBtn' value="Set"/>
<label> Horizontal Align:</label>
<select id="txtHAlign"></select>
<input type="button" id='hAlignActionBtn' value="Set"/>
<label>Vertical Align:</label>
<select id="txtVAlign"></select>
<input type="button" id='vAlignActionBtn' value="Set"/>
<label>Resize To Fit Text:</label>
<select id="resizeToFitText"></select>
<input type="button" id='resizeToFitTextBtn' value="Set"/>
</div>
</div>
</div></body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding-left: 5px;
}
.divide-line {
width: 100%;
height: 1px;
background: #cbcbcb;
margin-top: 10px;
margin-bottom: 3px;
}
.title {
text-align: center;
font-weight: bold;
}
label {
display: block;
margin-top: 15px;
margin-bottom: 5px;
}
p {
padding: 2px 10px;
background-color: #F4F8EB;
}
input {
width: 160px;
margin-left: 10px;
display: inline;
}
input[type=button] {
width: 50px;
margin-left: 1px;
}
select {
width: 160px;
margin-left: 10px;
display: inline;
}
textarea {
width: 160px;
margin-left: 10px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}

You can customize the properties of autoShapes using the Shape API:
text: Gets or sets the text of the shape.
You can use the textDirection property of the textFrame in the Style: this property is used to get or set the text direction of the shape. The TextDirection enum defines the direction of the text in the shape.
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
</gc-spread-sheets>
<shape-panel @updateShapeStyle="updateShapeStyle" :showShapeTxtPanelRef="showShapeTxtPanelRef">
</shape-panel>
</div>
</template>
<script setup>
import GC from "@mescius/spread-sheets";
import { ref, createApp } from "vue";
import "@mescius/spread-sheets-vue";
import '@mescius/spread-sheets-shapes';
const spreadRef = ref(null);
const showShapeTxtPanelRef = ref(false);
const updateShapeStyle = (action, value) => {
let sheet = spreadRef.value.getActiveSheet();
let activeShape = sheet.shapes.all().filter(function (sp) {
return sp.isSelected();
});
if (activeShape.length > 0) {
activeShape.forEach((shape) => {
if (shape instanceof GC.Spread.Sheets.Shapes.Shape) {
_setShapeStyle(shape, action, value);
}
});
sheet.repaint();
}
}
const _setShapeStyle = (shape, action, value) => {
if (action === 'text') {
shape.text(value);
} else {
var shapeStyle = shape.style();
if (action === 'color') {
shapeStyle.textEffect.color = value;
} else if (action === 'transparencyTxt') {
shapeStyle.textEffect.transparency = value;
} else if (action === 'font') {
shapeStyle.textEffect.font = value;
} else if(action === 'textDirection') {
const textDirection = parseInt(value);
shapeStyle.textFrame.textDirection = textDirection;
switch (textDirection) {
case GC.Spread.Sheets.Shapes.TextDirection.vert:
case GC.Spread.Sheets.Shapes.TextDirection.wordArtVertRtl:
case GC.Spread.Sheets.Shapes.TextDirection.eaVert:
shapeStyle.textFrame.hAlign = GC.Spread.Sheets.HorizontalAlign.right;
break;
case GC.Spread.Sheets.Shapes.TextDirection.vert270:
case GC.Spread.Sheets.Shapes.TextDirection.wordArtVert:
case GC.Spread.Sheets.Shapes.TextDirection.eaVertLtr:
shapeStyle.textFrame.hAlign = GC.Spread.Sheets.HorizontalAlign.left;
break;
}
} else if (action === 'hAlign') {
shapeStyle.textFrame.hAlign = parseInt(value);
} else if (action === 'vAlign') {
shapeStyle.textFrame.vAlign = parseInt(value);
} else if (action === 'resizeToFitText') {
shapeStyle.textFrame.resizeToFitText = value === 1;
}
shape.style(shapeStyle);
}
}
const bindSpreadEvent = () => {
spreadRef.value.bind(GC.Spread.Sheets.Events.ShapeSelectionChanged, function () {
let sheet = spreadRef.value.getActiveSheet();
var selectedShape = sheet.shapes.all().filter(function (sp) {
return sp.isSelected();
});
var isShapeSelected = false,
isConnectorSelected = false;
if (selectedShape.length > 0) {
selectedShape.forEach((shape) => {
if (!isShapeSelected && shape instanceof GC.Spread.Sheets.Shapes.Shape) {
isShapeSelected = true;
} else if (!isConnectorSelected && shape instanceof GC.Spread.Sheets.Shapes.ConnectorShape) {
isConnectorSelected = true;
}
});
setShapePropVisibility(isShapeSelected);
} else {
setShapePropVisibility(false);
}
})
}
const setShapePropVisibility = (isShow) => {
showShapeTxtPanelRef.value = isShow;
}
const initSpread = (spread) => {
spreadRef.value = spread;
spread.getActiveSheet().shapes.add("rectangle", GC.Spread.Sheets.Shapes.AutoShapeType.rectangle, 40, 20, 150, 150);
spread.getActiveSheet().shapes.add("rightTriangle", GC.Spread.Sheets.Shapes.AutoShapeType.rightTriangle, 40, 230, 150, 150);
spread.getActiveSheet().shapes.add("hexagon", GC.Spread.Sheets.Shapes.AutoShapeType.hexagon, 250, 20, 150, 150);
spread.getActiveSheet().shapes.add("oval", GC.Spread.Sheets.Shapes.AutoShapeType.oval, 250, 230, 150, 150);
bindSpreadEvent();
}
</script>
<style scoped>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding-left: 5px;
}
.divide-line {
width: 100%;
height: 1px;
background: #cbcbcb;
margin-top: 10px;
margin-bottom: 3px;
}
.title {
text-align: center;
font-weight: bold;
}
label {
display: block;
margin-top: 15px;
margin-bottom: 5px;
}
p {
padding: 2px 10px;
background-color: #F4F8EB;
}
input {
width: 160px;
margin-left: 10px;
display: inline;
}
input[type=button] {
width: 50px;
margin-left: 1px;
}
select {
width: 160px;
margin-left: 10px;
display: inline;
}
textarea {
width: 160px;
margin-left: 10px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
</style>
<template>
<div class="options-container">
<div class="option-row">
Try selecting a shape and change the text properties to see the outcome:
</div>
<div id="divideLine" class="divide-line"></div>
<div v-show="showShapeTxtPanelRef" class="option-row">
<label>Text: </label>
<textarea v-model="textRef" type="text" placeholder="Shape text" rows="3"></textarea>
<input type="button" @click="_handleShapeStyleSetting('text', textRef)" value="Set" />
<label>Text Direction:</label>
<select v-model.number="textDirectionRef">
<option v-bind:value="item.value" v-for="item in textDirectionList" :key="item.text">{{ item.text }}</option>
</select>
<input type="button" @click="_handleShapeStyleSetting('textDirection', textDirectionRef)" value="Set" />
<label>Text Color: </label>
<input v-model="textColorRef" type="color" value="#FFFF00" />
<input type="button" @click="_handleShapeStyleSetting('color', textColorRef)" value="Set" />
<label>Text Transparency: </label>
<input v-model.number="transparencyTxtRef" type="text" value="0.5" />
<input type="button" @click="_handleShapeStyleSetting('transparencyTxt', transparencyTxtRef)" value="Set" />
<label>Text Font: </label>
<input v-model="fontRef" type="text" />
<input type="button" @click="_handleShapeStyleSetting('font', fontRef)" value="Set" />
<label> Horizontal Align:</label>
<select v-model.number="hAlignRef">
<option v-bind:value="item.value" v-for="item in horizontalAlignListRef" :key="item.name">{{ item.name }}
</option>
</select>
<input type="button" @click="_handleShapeStyleSetting('hAlign', hAlignRef)" value="Set" />
<label>Vertical Align:</label>
<select v-model.number="vAlignRef">
<option v-bind:value="item.value" v-for="item in verticalAlignListRef" :key="item.name">{{ item.name }}</option>
</select>
<input type="button" @click="_handleShapeStyleSetting('vAlign', vAlignRef)" value="Set" />
<label>Resize To Fit Text:</label>
<select v-model.number="resizeToFitTextRef">
<option v-bind:value="item.value" v-for="item in resizeToFitTextListRef" :key="item.name">{{ item.name }}
</option>
</select>
<input type="button" @click="_handleShapeStyleSetting('resizeToFitText', resizeToFitTextRef)" value="Set" />
</div>
</div>
</template>
<script setup>
import GC from "@mescius/spread-sheets";
import "@mescius/spread-sheets-shapes";
import { defineEmits, ref } from 'vue';
let horizontalAlign = {
left: 0,
center: 1,
right: 2
};
let verticalAlign = {
top: 0,
center: 1,
bottom: 2
};
let resizeToFitTextOptions = {
false: 0,
true: 1
};
const textRef = ref(`abcdefgHIJKLMN
12356789
SpreadJSSpreadJS`);
const textColorRef = ref("#FFFF00");
const transparencyTxtRef = ref(0.5);
const fontRef = ref("bold 15px Georgia");
const textDirectionRef = ref(0);
const hAlignRef = ref(1);
const vAlignRef = ref(1);
const resizeToFitTextRef = ref(0);
const textDirectionList = [
{text: 'Horizontal', value: GC.Spread.Sheets.Shapes.TextDirection.horz },
{text: 'Vertical(Ltr)', value: GC.Spread.Sheets.Shapes.TextDirection.eaVertLtr},
{text: 'Vertical', value: GC.Spread.Sheets.Shapes.TextDirection.eaVert},
{text: 'Rotate all text 90°', value: GC.Spread.Sheets.Shapes.TextDirection.vert},
{text: 'Rotate all text 270°', value: GC.Spread.Sheets.Shapes.TextDirection.vert270},
{text: 'Stacked', value: GC.Spread.Sheets.Shapes.TextDirection.wordArtVert},
{text: 'Stacked(Rtl)', value: GC.Spread.Sheets.Shapes.TextDirection.wordArtVertRtl}
];
const horizontalAlignListRef = ref(getEnumList(horizontalAlign));
const verticalAlignListRef = ref(getEnumList(verticalAlign));
const resizeToFitTextListRef = ref(getEnumList(resizeToFitTextOptions));
const props = defineProps({ showShapeTxtPanelRef: Boolean });
const emits = defineEmits(['updateShapeStyle']);
const _handleShapeStyleSetting = (action, value) => {
emits("updateShapeStyle", action, value);
}
function getEnumList(enumObject) {
let names = [];
for (var name in enumObject) {
if (name === "none" || (parseInt(name, 10)) == name) {
continue;
}
names.push({
name: name,
value: enumObject[name]
});
}
names.sort(function (a, b) {
return a.name > b.name ? 1 : -1
});
return names;
}
</script>
<style scoped></style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/spread/source/data/inventory-tracker.js" type="text/javascript"></script>
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js'
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);

You can customize the properties of autoShapes using the Shape API:
text: Gets or sets the text of the shape.
You can use the textDirection property of the textFrame in the Style: this property is used to get or set the text direction of the shape. The TextDirection enum defines the direction of the text in the shape.
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import './styles.css';
import { AppFunc } from './app-func';
// import { App } from './app-class';
// 1. Functional Component sample
createRoot(document.getElementById('app')).render(<AppFunc />);
// 2. Class Component sample
// createRoot(document.getElementById('app')).render(<App />);
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import "@mescius/spread-sheets-shapes"
import { SpreadSheets } from '@mescius/spread-sheets-react';
import Panel from './panel.jsx';
let spread = null;
export function AppFunc() {
const [showShapeTxtPanel, setShowShapeTxtPanel] = React.useState(false);
const updateShapeStyle = (action, value) => {
let sheet = spread.getActiveSheet();
let activeShape = sheet.shapes.all().filter(function (sp) {
return sp.isSelected();
});
if (activeShape.length > 0) {
activeShape.forEach((shape) => {
if (shape instanceof GC.Spread.Sheets.Shapes.Shape) {
_setShapeStyle(shape, action, value);
}
});
sheet.repaint();
}
}
const _setShapeStyle = (shape, action, value) => {
if (action === 'text') {
shape.text(value);
} else {
var shapeStyle = shape.style();
if (action === 'color') {
shapeStyle.textEffect.color = value;
} else if (action === 'transparencyTxt') {
shapeStyle.textEffect.transparency = value;
} else if (action === 'font') {
shapeStyle.textEffect.font = value;
} else if(action === 'textDirection') {
const textDirection = parseInt(value);
shapeStyle.textFrame.textDirection = textDirection;
switch (textDirection) {
case GC.Spread.Sheets.Shapes.TextDirection.vert:
case GC.Spread.Sheets.Shapes.TextDirection.wordArtVertRtl:
case GC.Spread.Sheets.Shapes.TextDirection.eaVert:
shapeStyle.textFrame.hAlign = GC.Spread.Sheets.HorizontalAlign.right;
break;
case GC.Spread.Sheets.Shapes.TextDirection.vert270:
case GC.Spread.Sheets.Shapes.TextDirection.wordArtVert:
case GC.Spread.Sheets.Shapes.TextDirection.eaVertLtr:
shapeStyle.textFrame.hAlign = GC.Spread.Sheets.HorizontalAlign.left;
break;
}
} else if (action === 'hAlign') {
shapeStyle.textFrame.hAlign = parseInt(value);
} else if (action === 'vAlign') {
shapeStyle.textFrame.vAlign = parseInt(value);
} else if (action === 'resizeToFitText') {
shapeStyle.textFrame.resizeToFitText = value === '1';
}
shape.style(shapeStyle);
}
}
const setShapePropVisibility = (isShow) => {
setShowShapeTxtPanel(isShow)
}
const initSpread = (currSpread) => {
spread = currSpread;
spread.getActiveSheet().shapes.add("rectangle", GC.Spread.Sheets.Shapes.AutoShapeType.rectangle, 40, 20, 150, 150);
spread.getActiveSheet().shapes.add("rightTriangle", GC.Spread.Sheets.Shapes.AutoShapeType.rightTriangle, 40, 230, 150, 150);
spread.getActiveSheet().shapes.add("hexagon", GC.Spread.Sheets.Shapes.AutoShapeType.hexagon, 250, 20, 150, 150);
spread.getActiveSheet().shapes.add("oval", GC.Spread.Sheets.Shapes.AutoShapeType.oval, 250, 230, 150, 150);
bindSpreadEvent();
}
const bindSpreadEvent = () => {
spread.bind(GC.Spread.Sheets.Events.ShapeSelectionChanged, function () {
let sheet = spread.getActiveSheet();
var selectedShape = sheet.shapes.all().filter(function (sp) {
return sp.isSelected();
});
var isShapeSelected = false,
isConnectorSelected = false;
if (selectedShape.length > 0) {
selectedShape.forEach((shape) => {
if (!isShapeSelected && shape instanceof GC.Spread.Sheets.Shapes.Shape) {
isShapeSelected = true;
} else if (!isConnectorSelected && shape instanceof GC.Spread.Sheets.Shapes.ConnectorShape) {
isConnectorSelected = true;
}
});
setShapePropVisibility(isShapeSelected);
} else {
setShapePropVisibility(false);
}
})
}
return (<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
</SpreadSheets>
</div>
<Panel
showShapeTxtPanel={showShapeTxtPanel}
updateShapeStyle={(action, value) => { updateShapeStyle(action, value) }}>
</Panel>
</div>);
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import "@mescius/spread-sheets-shapes"
import { SpreadSheets } from '@mescius/spread-sheets-react';
import Panel from './panel.jsx';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
this.autoGenerateColumns = false;
this.state = {
showShapeTxtPanel: false
}
}
render() {
const {
showShapeTxtPanel
} = this.state;
return (<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
</SpreadSheets>
</div>
<Panel
showShapeTxtPanel={showShapeTxtPanel}
updateShapeStyle={(action, value) => { this.updateShapeStyle(action, value) }}>
</Panel>
</div>);
}
updateShapeStyle(action, value) {
let sheet = this.spread.getActiveSheet();
let activeShape = sheet.shapes.all().filter(function (sp) {
return sp.isSelected();
});
if (activeShape.length > 0) {
activeShape.forEach((shape) => {
if (shape instanceof GC.Spread.Sheets.Shapes.Shape) {
this._setShapeStyle(shape, action, value);
}
});
sheet.repaint();
}
}
_setShapeStyle(shape, action, value) {
if (action === 'text') {
shape.text(value);
} else {
var shapeStyle = shape.style();
if (action === 'color') {
shapeStyle.textEffect.color = value;
} else if (action === 'transparencyTxt') {
shapeStyle.textEffect.transparency = value;
} else if (action === 'font') {
shapeStyle.textEffect.font = value;
} else if(action === 'textDirection') {
const textDirection = parseInt(value);
shapeStyle.textFrame.textDirection = textDirection;
switch (textDirection) {
case GC.Spread.Sheets.Shapes.TextDirection.vert:
case GC.Spread.Sheets.Shapes.TextDirection.wordArtVertRtl:
case GC.Spread.Sheets.Shapes.TextDirection.eaVert:
shapeStyle.textFrame.hAlign = GC.Spread.Sheets.HorizontalAlign.right;
break;
case GC.Spread.Sheets.Shapes.TextDirection.vert270:
case GC.Spread.Sheets.Shapes.TextDirection.wordArtVert:
case GC.Spread.Sheets.Shapes.TextDirection.eaVertLtr:
shapeStyle.textFrame.hAlign = GC.Spread.Sheets.HorizontalAlign.left;
break;
}
} else if (action === 'hAlign') {
shapeStyle.textFrame.hAlign = parseInt(value);
} else if (action === 'vAlign') {
shapeStyle.textFrame.vAlign = parseInt(value);
} else if (action === 'resizeToFitText') {
shapeStyle.textFrame.resizeToFitText = value === '1';
}
shape.style(shapeStyle);
}
}
setShapePropVisibility(isShow) {
this.setState({ showShapeTxtPanel: isShow})
}
initSpread(spread) {
this.spread = spread;
spread.getActiveSheet().shapes.add("rectangle", GC.Spread.Sheets.Shapes.AutoShapeType.rectangle, 40, 20, 150, 150);
spread.getActiveSheet().shapes.add("rightTriangle", GC.Spread.Sheets.Shapes.AutoShapeType.rightTriangle, 40, 230, 150, 150);
spread.getActiveSheet().shapes.add("hexagon", GC.Spread.Sheets.Shapes.AutoShapeType.hexagon, 250, 20, 150, 150);
spread.getActiveSheet().shapes.add("oval", GC.Spread.Sheets.Shapes.AutoShapeType.oval, 250, 230, 150, 150);
this.bindSpreadEvent();
}
bindSpreadEvent() {
let spread = this.spread,
self = this;
spread.bind(GC.Spread.Sheets.Events.ShapeSelectionChanged, function () {
let sheet = spread.getActiveSheet();
var selectedShape = sheet.shapes.all().filter(function (sp) {
return sp.isSelected();
});
var isShapeSelected = false,
isConnectorSelected = false;
if (selectedShape.length > 0) {
selectedShape.forEach((shape) => {
if (!isShapeSelected && shape instanceof GC.Spread.Sheets.Shapes.Shape) {
isShapeSelected = true;
} else if (!isConnectorSelected && shape instanceof GC.Spread.Sheets.Shapes.ConnectorShape) {
isConnectorSelected = true;
}
});
self.setShapePropVisibility(isShapeSelected);
} else {
self.setShapePropVisibility(false);
}
})
}
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import "@mescius/spread-sheets-shapes"
export default function Panel(props) {
const horizontalAlign = {
left: 0,
center: 1,
right: 2
};
const verticalAlign = {
top: 0,
center: 1,
bottom: 2
};
const resizeToFitTextOptions = {
false: 0,
true: 1
}
const [panelInfo, setPanelInfo] = React.useState({
text: `abcdefgHIJKLMN
12356789
SpreadJSSpreadJS`,
textColor: "#FFFF00",
transparencyTxt: 0.5,
font: "bold 15px Georgia",
hAlign: 1,
vAlign: 1,
resizeToFitText: 0,
textDirection: 0,
horizontalAlignList: getEnumList(horizontalAlign),
verticalAlignList: getEnumList(verticalAlign),
resizeToFitTextList: getEnumList(resizeToFitTextOptions),
});
const textDirectionList = [
{text: 'Horizontal', value: GC.Spread.Sheets.Shapes.TextDirection.horz },
{text: 'Vertical(Ltr)', value: GC.Spread.Sheets.Shapes.TextDirection.eaVertLtr},
{text: 'Vertical', value: GC.Spread.Sheets.Shapes.TextDirection.eaVert},
{text: 'Rotate all text 90°', value: GC.Spread.Sheets.Shapes.TextDirection.vert},
{text: 'Rotate all text 270°', value: GC.Spread.Sheets.Shapes.TextDirection.vert270},
{text: 'Stacked', value: GC.Spread.Sheets.Shapes.TextDirection.wordArtVert},
{text: 'Stacked(Rtl)', value: GC.Spread.Sheets.Shapes.TextDirection.wordArtVertRtl}
];
const {
updateShapeStyle,
showShapeTxtPanel
} = props;
return (<div class="options-container">
<div class="option-row">
Try selecting a shape and change the text properties to see the outcome:
</div>
<div id="divideLine" class="divide-line"></div>
{
showShapeTxtPanel &&
<div class="option-row">
<label>Text: </label>
<textarea value={panelInfo.text} type="text" placeholder="Shape text" rows="3" onChange={(event) => { setPanelInfo({ ...panelInfo, text: event.target.value }); }}></textarea>
<input type="button" onClick={() => { updateShapeStyle('text', panelInfo.text) }} value="Set" />
<label>Text Direction:</label>
<select value={panelInfo.textDirection} onChange={(event) => { setPanelInfo({ ...panelInfo, textDirection: parseInt(event.target.value, 10) }); }}>
{textDirectionList.map(({ text, value }) => {
return <option value={value} key={value}>{text}</option>
})}
</select >
<input type="button" onClick={() => { updateShapeStyle('textDirection', panelInfo.textDirection) }} value="Set" />
<label>Text Color: </label>
<input value={panelInfo.textColor} type="color" onChange={(event) => { setPanelInfo({ ...panelInfo, textColor: event.target.value }); }} />
<input type="button" onClick={() => { updateShapeStyle('color', panelInfo.textColor) }} value="Set" />
<label>Text Transparency: </label>
<input value={panelInfo.transparencyTxt} type="text" onChange={(event) => { setPanelInfo({ ...panelInfo, transparencyTxt: parseFloat(event.target.value) }); }} />
<input type="button" onClick={() => { updateShapeStyle('transparencyTxt', panelInfo.transparencyTxt) }} value="Set" />
<label>Text Font: </label>
<input value={panelInfo.font} type="text" onChange={(event) => { setPanelInfo({ ...panelInfo, font: event.target.value }); }} />
<input type="button" onClick={() => { updateShapeStyle('font', panelInfo.font) }} value="Set" />
<label> Horizontal Align:</label>
<select value={panelInfo.hAlign} onChange={(event) => { setPanelInfo({ ...panelInfo, hAlign: parseInt(event.target.value, 10) }); }}>
{panelInfo.horizontalAlignList.map(({ name, value }) => {
return <option value={value} key={name}>{name}</option>
})}
</select>
<input type="button" onClick={() => { updateShapeStyle('hAlign', panelInfo.hAlign) }} value="Set" />
<label>Vertical Align:</label>
<select value={panelInfo.vAlign} onChange={(event) => { setPanelInfo({ ...panelInfo, vAlign: parseInt(event.target.value, 10) }); }}>
{panelInfo.verticalAlignList.map(({ name, value }) => {
return <option value={value} key={name}>{name}</option>
})}
</select >
<input type="button" onClick={() => { updateShapeStyle('vAlign', panelInfo.vAlign) }} value="Set" />
<label>Resize To Fit Text:</label>
<select value={panelInfo.resizeToFitText} onChange={(event) => { setPanelInfo({ ...panelInfo, resizeToFitText: event.target.value }); }}>
{panelInfo.resizeToFitTextList.map(({ name, value }) => {
return <option value={value} key={name}>{name}</option>
})}
</select >
<input type="button" onClick={() => { updateShapeStyle('resizeToFitText', panelInfo.resizeToFitText) }} value="Set" />
</div >
}
</div >);
}
function getEnumList(enumObject) {
let names = [];
for (var name in enumObject) {
if (name === "none" || (parseInt(name, 10)) == name) {
continue;
}
names.push({
name: name,
value: enumObject[name]
});
}
names.sort(function (a, b) {
return a.name > b.name ? 1 : -1
});
return names;
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding-left: 5px;
}
.divide-line {
width: 100%;
height: 1px;
background: #cbcbcb;
margin-top: 10px;
margin-bottom: 3px;
}
.title {
text-align: center;
font-weight: bold;
}
label {
display: block;
margin-top: 15px;
margin-bottom: 5px;
}
p {
padding: 2px 10px;
background-color: #F4F8EB;
}
input {
width: 160px;
margin-left: 10px;
display: inline;
}
input[type=button] {
width: 50px;
margin-left: 1px;
}
select {
width: 160px;
margin-left: 10px;
display: inline;
}
textarea {
width: 160px;
margin-left: 10px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app{
width: 100%;
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/cjs/react.production.js',
'react-dom': 'npm:react-dom/cjs/react-dom.production.js',
'react-dom/client': 'npm:react-dom/cjs/react-dom-client.production.js',
'scheduler': 'npm:scheduler/cjs/scheduler.production.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

You can customize the properties of autoShapes using the Shape API:
text: Gets or sets the text of the shape.
You can use the textDirection property of the textFrame in the Style: this property is used to get or set the text direction of the shape. The TextDirection enum defines the direction of the text in the shape.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import "@mescius/spread-sheets-shapes"
import './styles.css';
function getEnumList(enumObject: object) {
let names = [];
for (var name in enumObject) {
if (name === "none" || (parseInt(<any>name, 10)) == <any>name) {
continue;
}
names.push({
name: name,
value: enumObject[name]
});
}
names.sort(function(a, b) {
return a.name > b.name ? 1 : -1
});
return names;
}
const horizontalAlign = {
left: 0,
center: 1,
right: 2
};
const verticalAlign = {
top: 0,
center: 1,
bottom: 2
};
const resizeToFitTextOptions = {
false: 0,
true: 1
}
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
hostStyle = {
width: 'calc(100% - 280px)',
height: '100%',
overflow: 'hidden',
float: 'left'
};
showShapeTxtPanel = false;
text = `abcdefgHIJKLMN
12356789
SpreadJSSpreadJS`;
textColor = "#FFFF00";
transparencyTxt = 0.5;
font = "bold 15px Georgia";
hAlign = 1;
vAlign = 1;
resizeToFitText = 0;
textDirection = GC.Spread.Sheets.Shapes.TextDirection.horz;
textDirectionList = [
{text: 'Horizontal', value: GC.Spread.Sheets.Shapes.TextDirection.horz },
{text: 'Vertical(Ltr)', value: GC.Spread.Sheets.Shapes.TextDirection.eaVertLtr},
{text: 'Vertical', value: GC.Spread.Sheets.Shapes.TextDirection.eaVert},
{text: 'Rotate all text 90°', value: GC.Spread.Sheets.Shapes.TextDirection.vert},
{text: 'Rotate all text 270°', value: GC.Spread.Sheets.Shapes.TextDirection.vert270},
{text: 'Stacked', value: GC.Spread.Sheets.Shapes.TextDirection.wordArtVert},
{text: 'Stacked(Rtl)', value: GC.Spread.Sheets.Shapes.TextDirection.wordArtVertRtl}
];
horizontalAlignList = getEnumList(horizontalAlign);
verticalAlignList = getEnumList(verticalAlign);
resizeToFitTextList = getEnumList(resizeToFitTextOptions);
initSpread($event: any) {
let spread = this.spread = $event.spread;
spread.getActiveSheet().shapes.add("rectangle", GC.Spread.Sheets.Shapes.AutoShapeType.rectangle, 40, 20, 150, 150);
spread.getActiveSheet().shapes.add("rightTriangle", GC.Spread.Sheets.Shapes.AutoShapeType.rightTriangle, 40, 230, 150, 150);
spread.getActiveSheet().shapes.add("hexagon", GC.Spread.Sheets.Shapes.AutoShapeType.hexagon, 250, 20, 150, 150);
spread.getActiveSheet().shapes.add("oval", GC.Spread.Sheets.Shapes.AutoShapeType.oval, 250, 230, 150, 150);
this.bindSpreadEvent();
}
bindSpreadEvent() {
let spread = this.spread,
self = this;
spread.bind(GC.Spread.Sheets.Events.ShapeSelectionChanged, function() {
let sheet = spread.getActiveSheet();
var selectedShape = sheet.shapes.all().filter(function(sp: GC.Spread.Sheets.Shapes.ShapeBase) {
return sp.isSelected();
});
var isShapeSelected = false,
isConnectorSelected = false;
if (selectedShape.length > 0) {
selectedShape.forEach((shape: GC.Spread.Sheets.Shapes.ShapeBase) => {
if (!isShapeSelected && shape instanceof GC.Spread.Sheets.Shapes.Shape) {
isShapeSelected = true;
} else if (!isConnectorSelected && shape instanceof GC.Spread.Sheets.Shapes.ConnectorShape) {
isConnectorSelected = true;
}
});
self.setShapePropVisibility(isShapeSelected);
} else {
self.setShapePropVisibility(false);
}
})
}
setShapePropVisibility(isShow: boolean) {
this.showShapeTxtPanel = isShow;
}
updateShapeStyle(action: string, value: any) {
let sheet = this.spread.getActiveSheet();
let activeShape = sheet.shapes.all().filter(function(sp: GC.Spread.Sheets.Shapes.ShapeBase) {
return sp.isSelected();
});
if (activeShape.length > 0) {
activeShape.forEach((shape: GC.Spread.Sheets.Shapes.ShapeBase) => {
if (shape instanceof GC.Spread.Sheets.Shapes.Shape) {
this._setShapeStyle(shape, action, value);
}
});
sheet.repaint();
}
}
_setShapeStyle(shape: GC.Spread.Sheets.Shapes.ShapeBase, action: string, value: any) {
if (action === 'text') {
shape.text(value);
} else {
var shapeStyle = shape.style();
if (action === 'color') {
shapeStyle.textEffect.color = value;
} else if (action === 'transparencyTxt') {
shapeStyle.textEffect.transparency = value;
} else if (action === 'font') {
shapeStyle.textEffect.font = value;
} else if(action === 'textDirection') {
const textDirection = parseInt(value);
shapeStyle.textFrame.textDirection = textDirection;
switch (textDirection) {
case GC.Spread.Sheets.Shapes.TextDirection.vert:
case GC.Spread.Sheets.Shapes.TextDirection.wordArtVertRtl:
case GC.Spread.Sheets.Shapes.TextDirection.eaVert:
shapeStyle.textFrame.hAlign = GC.Spread.Sheets.HorizontalAlign.right;
break;
case GC.Spread.Sheets.Shapes.TextDirection.vert270:
case GC.Spread.Sheets.Shapes.TextDirection.wordArtVert:
case GC.Spread.Sheets.Shapes.TextDirection.eaVertLtr:
shapeStyle.textFrame.hAlign = GC.Spread.Sheets.HorizontalAlign.left;
break;
}
} else if (action === 'hAlign') {
shapeStyle.textFrame.hAlign = parseInt(value);
} else if (action === 'vAlign') {
shapeStyle.textFrame.vAlign = parseInt(value);
} else if (action === 'resizeToFitText') {
shapeStyle.textFrame.resizeToFitText = value === '1';
}
shape.style(shapeStyle);
}
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule, FormsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
Try selecting a shape and change the text properties to see the outcome:
</div>
<div id="divideLine" class="divide-line"></div>
<div *ngIf="showShapeTxtPanel" class="option-row">
<label>Text: </label>
<textarea [(ngModel)]="text" type="text" placeholder="Shape text" rows="3"></textarea>
<input type="button" (click)="updateShapeStyle('text', text)" value="Set" />
<label>Text Direction:</label>
<select [(ngModel)]="textDirection">
<option *ngFor="let item of textDirectionList" [value]="item.value|number">
{{item.text}}
</option>
</select>
<input type="button" (click)="updateShapeStyle('textDirection', textDirection)" value="Set" />
<label>Text Color: </label>
<input [(ngModel)]="textColor" type="color" value="#FFFF00" />
<input type="button" (click)="updateShapeStyle('color', textColor)" value="Set" />
<label>Text Transparency: </label>
<input [(ngModel)]="transparencyTxt" [value]="transparencyTxt|number" type="text" value="0.5" />
<input type="button" (click)="updateShapeStyle('transparencyTxt', transparencyTxt)" value="Set" />
<label>Text Font: </label>
<input [(ngModel)]="font" type="text" />
<input type="button" (click)="updateShapeStyle('font', font)" value="Set" />
<label> Horizontal Align:</label>
<select [(ngModel)]="hAlign">
<option *ngFor="let item of horizontalAlignList" [value]="item.value|number">
{{item.name}}
</option>
</select>
<input type="button" (click)="updateShapeStyle('hAlign', hAlign)" value="Set" />
<label>Vertical Align:</label>
<select [(ngModel)]="vAlign">
<option *ngFor="let item of verticalAlignList" [value]="item.value|number">
{{item.name}}
</option>
</select>
<input type="button" (click)="updateShapeStyle('vAlign', vAlign)" value="Set" />
<label>Resize To Fit Text:</label>
<select [(ngModel)]="resizeToFitText">
<option *ngFor="let item of resizeToFitTextList" [value]="item.value|number">
{{item.name}}
</option>
</select>
<input type="button" (click)="updateShapeStyle('resizeToFitText', resizeToFitText)" value="Set" />
</div>
</div>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding-left: 5px;
}
.divide-line {
width: 100%;
height: 1px;
background: #cbcbcb;
margin-top: 10px;
margin-bottom: 3px;
}
.title {
text-align: center;
font-weight: bold;
}
label {
display: block;
margin-top: 15px;
margin-bottom: 5px;
}
p {
padding: 2px 10px;
background-color: #F4F8EB;
}
input {
width: 160px;
margin-left: 10px;
display: inline;
}
input[type=button] {
width: 50px;
margin-left: 1px;
}
select {
width: 160px;
margin-left: 10px;
display: inline;
}
textarea {
width: 160px;
margin-left: 10px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);